# Module Documentation

## Module DOM

#### `DOM`

``` purescript
data DOM :: !
```

Effect type for DOM maniupulation

#### `Node`

``` purescript
data Node :: *
```

General type for DOM nodes.

#### `NodeList`

``` purescript
data NodeList :: *
```

General type for DOM node lists.


## Module DOM.File


Types for the [W3C File API](http://dev.w3.org/2006/webapi/FileAPI/).

#### `File`

``` purescript
data File :: *
```

A `File` object instance.

#### `FileList`

``` purescript
data FileList :: *
```

A `FileList` object instance.

#### `FileReader`

``` purescript
data FileReader :: *
```

A `FileReader` object instance.

#### `Blob`

``` purescript
data Blob :: *
```

A `Blob` object instance.


## Module DOM.XHR


Types for the [WHATWG XMLHttpRequest Living Standard](https://xhr.spec.whatwg.org/#interface-formdata).

#### `XMLHttpRequest`

``` purescript
data XMLHttpRequest :: *
```

An `XMLHttpRequest` object instance.

#### `FormData`

``` purescript
data FormData :: *
```

A `FormData` object instance.

#### `ProgressEvent`

``` purescript
data ProgressEvent :: *
```

A `ProgressEvent` object instance.



